店舗分類削除
DELETE
/store_classes/{store_class_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example \ --header 'Authorization: Bearer <token>'店舗分類情報を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_class_id
required
string
店舗分類ID
Responses
Section titled “Responses”削除成功
- 指定した店舗分類IDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した店舗分類IDが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定された店舗分類IDのリソースが見つかりません", "status": 404}